Bug 701693 - "Administration" menu item is shown as "System Settings"
"Administration" menu item is shown as "System Settings"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-03 11:16 EDT by nucleo
Modified: 2011-05-14 00:03 EDT (History)
8 users (show)

See Also:
Fixed In Version: kdelibs-4.6.2-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-08 23:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"System Settings" menu item on F15 KDE LiveCD (424.22 KB, image/png)
2011-05-03 11:16 EDT, nucleo
no flags Details

  None (edit)
Description nucleo 2011-05-03 11:16:14 EDT
Created attachment 496563 [details]
"System Settings" menu item on F15 KDE LiveCD

Description of problem:
"Administration" menu item in kickoff is shown as "System Settings" on F15 KDE LiveCD.

"System Settings" is not translated in other languages but when it was shown as  "Administration" it had translated.
Comment 1 Kevin Kofler 2011-05-03 11:28:14 EDT
The "System Settings" menu comes from this patch:
http://pkgs.fedoraproject.org/gitweb/?p=kdelibs.git;a=blob;f=kdelibs-4.1.0-xdg-menu.patch;h=fa87400a10bf0ea8913f1b859f5e3b033868e278;hb=HEAD

I have no idea why it showed up as "Administration" previously. Maybe some translations from redhat-menus which got dropped? Or redhat-menus not being installed by default anymore?

I wonder whether we shouldn't drop this Fedora-specific patch entirely and go with upstream's menu structure.
Comment 2 Kevin Kofler 2011-05-03 11:30:17 EDT
(Using upstream's menu structure is what GNOME is doing in F15. They now use upstream GNOME's menu structure; we'd of course use upstream KDE's.)
Comment 3 Ngo Than 2011-05-03 11:32:41 EDT
i don't see the need to keep this patch in f15. we should go with upstream's menu structure
Comment 4 nucleo 2011-05-03 11:34:20 EDT
This problem I noticed also in previous releases.
On F10 LiveCD it was shown as "Administration":
http://nucleo.fedorapeople.org/systemsettings-administration.png

But after installation of some packages it became "System Settings":
http://nucleo.fedorapeople.org/systemsettings.png

Maybe it shown as "System Settings" after adding of packages on F15 LiveCD.
Comment 5 Fedora Update System 2011-05-03 14:05:42 EDT
kdelibs-4.6.2-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kdelibs-4.6.2-4.fc15
Comment 6 nucleo 2011-05-03 18:05:21 EDT
After updating to kdelibs-4.6.2-4.fc15 all items from "System Settings" moved to "Settings".
But they are also appeared in "System" (they was not there before).
Comment 7 Kevin Kofler 2011-05-03 22:54:55 EDT
> But they are also appeared in "System" (they was not there before).

Hmmm, indeed, the "System Settings" / "Administration" category included the stuff which has both System and Settings as categories. I wonder if we want to just let the stuff be listed twice or if we want to fix this in some way.
Comment 8 Fedora Update System 2011-05-05 00:45:14 EDT
Package kdelibs-4.6.2-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdelibs-4.6.2-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/kdelibs-4.6.2-4.fc15
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2011-05-08 23:56:53 EDT
kdelibs-4.6.2-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-05-10 12:47:22 EDT
kdelibs-4.6.2-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kdelibs-4.6.2-5.fc15
Comment 11 Fedora Update System 2011-05-14 00:03:47 EDT
kdelibs-4.6.2-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.